
<div class="content">
  <!-- Button trigger modal -->

      <div class="box">
    <div class="row">
        <%- locals.flash %>
        <div class="card">
            <div class="card-header">

            </div>
            <div class="card-body">
                <form id="formulario" method="POST" action="/guardarR">
                  <a href="/reporteg" >Generar Reporte</a>
                  <input type="hidden" name="external" id="external" value="0">
 <div class="col-md-6">

 </div>
                  <div class="form-group">
                    <label for="clientes">Clientes</label>
                    <select name="cliente" id="clientes">
                    </select>

                </div>
                </div>
                <div class="form-group">

                    <input class="form-control" type="text" name="numerofactura" id="numerofactura" placeholder="Numero Factura" required minlength="1" maxlength="8"><br>
                </div>
                <div class="form-group">

                    <input class="form-control" type="text" name="monto" id="monto" placeholder="Monto Factura" required minlength="1" maxlength="8"><br>
                </div>
                <div class="form-group">

                  <div class="form-group">
                    <label for="clientes">Porcentaje</label>
                    <select name="porcentaje" id="porcentaje">
                    </select>
                    <br>
                </div>
                <div class="form-group">
                  <small> Vporcentaje: </small>
                    <input class="form-control" type="text" name="valorRetencion" id="valorRetencion"  required maxlength="50">
                </div>

                </div>
                <div class="form-group">
                  <small> Fecha: </small>
                    <input style="color:red"class="form-control" type="date" name="fechaR" id="fechaR" placeholder="Fecha de retencion"><br>
                </div>
                <br>
                <div class="form-group">
                  <small> valor Retencion: </small>
                    <input class="form-control" type="text" name="total" id="total" placeholder="Valor a pagar de Retencion" required maxlength="50">
                </div>

                <div class="modal-footer">

                      <button type="submit" class="btn btn-primary">Guardar</button>
                  </div>
                  </div>
 <div class="col-md-6">
   <div class="form-group">
     <small> busca por rango de mes : </small>
       <input style="color:red"class="form-control" onchange="buscarporFecha();" type="date"  name="fechaI" id="fechaI" placeholder="Fecha de retencion"><br>
   </div>

 </div>


            </div>
        </div>

    <div class="col-md-12">
    <!-- <span class="image"><img src="images/pic01.jpg" alt="" /></span> -->
    <table data-aos='fade-down' class="table" id="tabla">
        <thead class="thead-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Clientes</th>
                <th scope="col">Numero Factura</th>
                <th scope="col">Monto</th>
                <th scope="col">Porcentaje</th>
                <th scope="col">fecha Retencion</th>
                <th scope="col">valor Retencion</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody >
</tbody>
    </table>
     </div>
</div>
</div>
<script>
  $(document).ready(function(){
     cargarTabla();
    cargarClientes();
    cargarPorcentaje();
    definirValorp();

  });
  function cargarClientes() {
          var url = "http://localhost:3000/clientes";
          $.ajax({
              url: url,
              type: 'GET',
              dataType: 'JSON',
              success: function (data, textStatus, jqXHR) {
                  console.log(data);
                  console.log(data.clientes);
                  var html = "<option value=''>Seleccione un cliente</option>";
                  $.each(data.clientes, function (i, item) {
                      html += '<option value = "' + item + '">' + item + '</option>';
                  });
                  $("#clientes").html(html);
              },
              error: function (jqXHR, textStatus, errorThrown) {

              }
          });
      }
      function cargarPorcentaje() {
              var url = "http://localhost:3000/porcentaje";
              $.ajax({
                  url: url,
                  type: 'GET',
                  dataType: 'JSON',
                  success: function (data, textStatus, jqXHR) {
                      console.log(data);
                      console.log(data.porcentaje);
                      var html = "<option value=''>Seleccione un porcentaje</option>";
                      $.each(data.porcentaje, function (i, item) {
                          html += '<option value = "' + item + '">' + item + '</option>';
                      });
                      $("#porcentaje").html(html);
                  },
                  error: function (jqXHR, textStatus, errorThrown) {

                  }
              });
          }


  function definirValorp() {
  var porcentaje=0;
  var p=$("#porcentaje").val();
  if(p=="Servicios Profesionales(10%)"){
    porcentaje=0.10;
  }
  if (p=="Servicios Educativos (8%)") {
    porcentaje=0.08;
  }
  $("#valorRetencion").val(porcentaje);
  }
  function calcularRe(){
    var valor=0;
    var monto=0;
    var porcentaje=0;
    var totalP=0;
    totalP=
    porcentaje=$("#valorRetencion").val();
    monto=$("#monto").val();
    valor=porcentaje * monto;
    $("#total").val(valor);
  }
  $("#porcentaje").keyup(function(){
    definirValorp();
    calcularRe();
  });
  $("#porcentaje").change(function(){
    definirValorp();
    calcularRe();
  });

  $("#monto").keyup(function(){
    calcularRe();
  });
  $("#monto").change(function(){

    calcularRe();
  });
function cargarTabla() {
  var   retencion=0;
        var url = "http://localhost:3000/listarR";       ///test/sw/listaProdLot
        $.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                console.log('data....................' + data);
                var html = "";
                $.each(data, function (i, item) {
                    html += '<tr>';
                    html += '<td>' + (i + 1) + '</td>';
                    html += '<td>' + item.cliente + '</td>';
                    html += '<td>' + item.nrofactura + '</td>';
                    html += '<td>' + item.monto+ '</td>';
                    html += '<td>' + item.porcentaje_clas + '</td>';
                    html += '<td>' + item.fechaRetencion + '</td>';
                    html += '<td>' + item.valorRetencion + '</td>';
                    html += '<td><button id="' +i+ '" type="submit" class="btn btn-primary">editar</button></td>';
                    html += '<script>';
                    html += '$("#' + i + '").click(function () {';
                    html += '$("#external").val("' + item.external_id + '");';
                    html += '$("#clientes").val("' +item.cliente + '");';
                   html += '$("#numerofactura").val("' + item.nrofactura + '");';
                   html += '$("#monto").val("' +  item.monto + '");';
                   html += '$("#porcentaje").val("' + item.porcentaje_clas + '");';
                   html += '$("#fechaR").val("' +  item.fechaRetencion + '");';
                   html += '$("#valorRetencion").val("' + item.valorRetencion + '");';
                   html += '});';
                   html += '</scrip' + 't>';
                    if (item.porcentaje_clas !== 'Diferente'){
                      retencion  += item.valorRetencion;
                    }
                });
                html+='<tr><td></td><td></td><td></td><td><b>TOTAL:</b></td><td><b>$'+retencion.toFixed(2)+'</b></td></tr>'
                html += '</tr>';
                $("#tabla tbody").html(html);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });
    }

    function buscarporFecha() {
        var   retencion=0;
      var fecha = $("#fechaI").val();
            var url = "http://localhost:3000/buscar/"+fecha;
          console.log(fecha);
            $.ajax({
                url: url,
                type: 'GET',
                dataType: 'JSON',
                success: function (data, textStatus, jqXHR) {
                    var html = "",i=1;
                  data.forEach(item =>{
                    html += '<tr>';
                    html += '<td>' + i + '</td>';
                    html += '<td>' + item.cliente + '</td>';
                    html += '<td>' + item.nrofactura + '</td>';
                    html += '<td>' + item.monto+ '</td>';
                    html += '<td>' + item.porcentaje_clas + '</td>';
                    html += '<td>' + item.fechaRetencion + '</td>';
                    html += '<td>' + item.valorRetencion + '</td>';
                    html += '<td><button id="' +i+ '" type="submit" class="btn btn-primary">editar</button></td>';
                    html += '<script>';
                    html += '$("#' + i + '").click(function () {';
                    html += '$("#external").val("' + item.external_id + '");';
                    html += '$("#clientes").val("' +item.cliente + '");';
                   html += '$("#numerofactura").val("' + item.nrofactura + '");';
                   html += '$("#monto").val("' +  item.monto + '");';
                   html += '$("#porcentaje").val("' + item.porcentaje_clas + '");';
                   html += '$("#fechaR").val("' +  item.fechaRetencion + '");';
                   html += '$("#valorRetencion").val("' + item.valorRetencion + '");';
                   html += '});';
                   html += '</scrip' + 't>';
                    i++;
                    if (item.porcentaje_clas !== 'Diferente'){
                      retencion  += item.valorRetencion;
                    }
                });
                html+='<tr><td></td><td></td><td></td><td><b>TOTAL:</b></td><td><b>$'+retencion.toFixed(2)+'</b></td></tr>'
                html += '</tr>';
                $("#tabla tbody").html(html);

                },
                error: function (jqXHR, textStatus, errorThrown) {

                }
            });
        }
</script>
